#
# BEFORE UPDATING THIS PACKAGE, YOU _MUST_ DO THE FOLLOWING:
# - DO A LOCAL BUILD
# - INSTALL IT IN A TEST MACHINE
# - CHECK THAT 'display_help http://google.com' STILL WORK (INCLUDING CLOSING IT)
# - CHECK THAT MCC STILL RUNS
#

# lib is called libwebkitgtk-%{libver}.so.%{major}
%define libver  1.0
%define major	0
%define oname		webkitgtk
%define libname		%mklibname webkitgtk %{libver} %{major}
%define develname	%mklibname webkitgtk %{libver} -d
%define inspectorname	webkit%{libver}-webinspector
%define libgirname      %mklibname %name-gir %{libver}
%define libgirjscore    %mklibname javascriptcore-gir %{libver}
%define libjavascriptcoregtk    %mklibname javascriptcoregtk %{libver} %{major}

%define lib3ver  3.0
%define major3   0
%define major2	25
%define lib3name	%mklibname webkitgtk %{lib3ver} %{major3}
%define libwebkit2	%mklibname webkit2gtk %{lib3ver} %{major2}
%define develname3	%mklibname webkitgtk %{lib3ver} -d
%define inspector3name	webkit%{lib3ver}-webinspector
%define libjavascriptcoregtk3    %mklibname javascriptcoregtk %{lib3ver} %{major3}
%define libgirname3	%mklibname %name-gir %{lib3ver}
%define libgirname2	%mklibname %{name}2-gir %{lib3ver}
%define libgirjscore3	%mklibname javascriptcore-gir %{lib3ver}
%define libgirname2extension %mklibname %{name}2webextension-gir %{lib3ver}

%define build_webkit2 0

Summary:	Web browser engine
Epoch:		1
Name:		webkit
Version:	2.4.9
Release:	%mkrel 1
License:	BSD and LGPLv2+
Group:		System/Libraries
Source0:	http://webkitgtk.org/releases/%{oname}-%{version}.tar.xz
Patch0:		webkit-2.3.90-link.patch
# (blino) needed for first-time wizard (display_help) to be able to close its window with javascript
Patch2:		webkit-2.1.90-allowScriptsToCloseWindows.patch
Patch3:		webkitgtk-2.1.92-gtk-includes.patch
# PATCH-FIX-OPENSUSE webkitgtk-typelib-sharelib-link.patch dimstar@opensuse.org -- Fixup the .gir file to contain the full library name for libjavascriptcore.
Patch4:         webkitgtk-typelib-sharelib-link.patch
# http://trac.webkit.org/changeset/169665
Patch6:		webkitgtk-2.4.9-sql_initialize_string.patch
URL:		http://www.webkitgtk.org
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	bison
BuildRequires:	curl-devel >= 7.11.0
BuildRequires:	flex
BuildRequires:	fontconfig-devel
BuildRequires:	gperf
BuildRequires:	libicu-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	pkgconfig(libwebp)
BuildRequires:	pkgconfig(libsecret-1)
BuildRequires:	librsvg-devel >= 2.2.0
BuildRequires:	libstdc++-devel
BuildRequires:	libsoup-devel >= 2.42.0
BuildRequires:	libtool
BuildRequires:	libxslt-devel
BuildRequires:	libxt-devel
BuildRequires:	pkgconfig
BuildRequires:	gtk+2-devel
BuildRequires:	gtk+3-devel
BuildRequires:	libgail-3.0-devel
BuildRequires:	pkgconfig(glesv2)
BuildRequires:	sqlite3-devel
BuildRequires:	xft2-devel
BuildRequires:	libgstreamer1.0-plugins-base-devel
BuildRequires:	libgnome-keyring-devel
BuildRequires:	gobject-introspection-devel
BuildRequires:	enchant-devel
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(geoclue)
BuildRequires:	gail-devel
BuildRequires:	perl-Switch
BuildRequires:	ruby
Requires:	%{libname}

%description
WebKit is an open source web browser engine.

%package -n %{name}%{libver}
Summary:        GTK+ port of WebKit web browser engine - shared files
Group:          Development/GNOME and GTK+
Requires:	%{libname} = %{epoch}:%{version}

%description -n %{name}%{libver}
WebKit is an open source web browser engine.
This package contains the shared files used by %{name}%{libver}

%package -n %{libname}
Summary:	GTK+ port of WebKit web browser engine
Group:		System/Libraries
Requires:	%{name} = %{epoch}:%{version}
Requires:	%{name}%{libver} = %{epoch}:%{version}
Obsoletes:	%{mklibname WebKitGdk 0} <= 0-0.30465
Obsoletes:	%{mklibname WebKitGtk 1} <= 0-0.32877
Obsoletes:	%{mklibname webkitgtk 1} <= 1.1.1-3mdv
Obsoletes:	%{mklibname webkitgtk 2} <= 1.1.1-3mdv
Obsoletes:      %{mklibname webkitgtk-1.00} <= 1.3.12-3.mga1
# (fhimpe) This provides should probably be removed when major changes
Provides:	%{mklibname webkitgtk 2} = %{version}-%{release}
Provides:	libwebkitgtk = %{version}-%{release}
# Needed for Web Inspector feature to work
#Suggests:	%{inspectorname} = %{epoch}:%{version}
Conflicts:	gir-repository < 0.6.5-7mdv2010.1

%description -n %{libname}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package -n %{libjavascriptcoregtk}
Summary:        GTK+ port of WebKit web browser engine
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}
Obsoletes:	%{_lib}javascriptcoregtk1.0 < %{epoch}:%{version}-%{release}

%description -n %{libjavascriptcoregtk}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux.

%package -n %{develname}
Summary:	Development files for WebKit GTK+ port
Group:		Development/GNOME and GTK+
Provides:	webkitgtk-devel = %{version}-%{release}
Provides:	libwebkitgtk-devel = %{version}-%{release}
Provides:	%{mklibname webkitgtk -d} = %{version}-%{release}
Requires:	%{libname} = %{epoch}:%{version}-%{release}
Requires:	%{libjavascriptcoregtk} = %{epoch}:%{version}-%{release}
Requires:	%{libgirjscore} = %epoch:%{version}-%{release}
Requires:	%{libgirname} = %epoch:%{version}-%{release}
Obsoletes:	%{mklibname WebKitGtk -d} <= 0-0.32877
Obsoletes:	%{mklibname webkitgtk -d} < 1.1.1-2mdv
Conflicts:	gir-repository < 0.6.5-7mdv2010.1

%description -n %{develname}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package gtklauncher
Summary:	WebKit GTK+ example application
Group:		Development/GNOME and GTK+
Conflicts:	%{mklibname WebKitGtk 0} <= 0-0.30465

%description gtklauncher
GtkLauncher is an example application for WebKit GTK+.

%package jsc
Summary:	JavaScriptCore shell for WebKit GTK+
Group:		Development/GNOME and GTK+

%description jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package -n %{inspectorname}
Summary:	Data files for WebKit GTK+'s Web Inspector
Group:		System/Libraries
Provides:	webkit-webinspector = %{version}-%{release}
Obsoletes:	webkit-webinspector < 1.1.1-2mdv

%description -n %{inspectorname}
WebKit GTK+ has a feature called the Web Inspector, which allows
detailed analysis of any given page's page source, live DOM hierarchy
and resources. This package contains the data files necessary for Web
Inspector to work.

%package -n %{name}3
Summary:        Web browser engine
Group:          System/Libraries
Requires:       %{lib3name} = %{epoch}:%{version}

%description -n %{name}3
WebKit is an open source web browser engine.

%package -n %{name}%{lib3ver}
Summary:        GTK+3 port of WebKit web browser engine - shared files
Group:          Development/GNOME and GTK+
Requires:       %{lib3name} = %{epoch}:%{version}

%description -n %{name}%{lib3ver}
WebKit is an open source web browser engine.
This package contains the shared files used by %{name}%{lib3ver}

%package -n %{name}2gtk
Summary:	GTK+3 port of WebKit2 web browser engine - shared files
Group:		Development/GNOME and GTK+

%description -n %{name}2gtk
WebKit is an open source web browser engine.
This package contains the shared files used by %{name}2gtk%{lib3ver}.

%package -n %{lib3name}
Summary:        GTK+3 port of WebKit web browser engine
Group:          System/Libraries
Requires:       %{name}3 = %{epoch}:%{version}
Requires:       %{name}%{lib3ver} = %{epoch}:%{version}
Provides:       libwebkitgtk3 = %{version}-%{release}
# Needed for Web Inspector feature to work
#Suggests:       %{inspector3name} = %{epoch}:%{version}

%description -n %{lib3name}
The GTK+3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+3 UI toolkit on platforms like
Linux.

%package -n %{libwebkit2}
Summary:        GTK+3 port of WebKit2 web browser engine
Group:          System/Libraries
Requires:       %{name}3 = %{epoch}:%{version}
Requires:	%{name}2gtk = %{epoch}:%{version}
Provides:       libwebkit2gtk3 = %{version}-%{release}

%description -n %{libwebkit2}
The GTK+3 port of WebKit2 is intended to provide a browser component
primarily for users of the portable GTK+3 UI toolkit on platforms like
Linux.

%package -n %{libjavascriptcoregtk3}
Summary:        GTK+3 port of WebKit web browser engine
Group:          System/Libraries
Requires:       %{lib3name} = %{epoch}:%{version}
Obsoletes:	%{_lib}javascriptcoregtk3.0 < %{epoch}:%{version}-%{release}

%description -n %{libjavascriptcoregtk3}
The GTK+3 port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+3 UI toolkit on platforms like
Linux.

%package -n %{develname3}
Summary:        Development files for WebKit GTK+3 port
Group:          Development/GNOME and GTK+
Provides:       webkitgtk3-devel = %{version}-%{release}
Provides:       libwebkitgtk3-devel = %{version}-%{release}
Requires:       %{lib3name} = %{epoch}:%{version}-%{release}
Requires:	%{libjavascriptcoregtk3} = %{epoch}:%{version}-%{release}
Requires:	%{libgirjscore3} = %{epoch}:%{version}-%{release}
Requires:	%{libgirname3} = %{epoch}:%{version}-%{release}
%if %{build_webkit2}
Requires:	%{libwebkit2} = %{epoch}:%{version}-%{release}
Requires:	%{libgirname2} = %{epoch}:%{version}-%{release}
Requires:	%{libgirname2extension} = %{epoch}:%{version}-%{release}
%endif

%description -n %{develname3}
The GTK+ port of WebKit is intended to provide a browser component
primarily for users of the portable GTK+ UI toolkit on platforms like
Linux. This package contains development headers.

%package -n webkit3-gtklauncher
Summary:        WebKit GTK+3 example application
Group:          Development/GNOME and GTK+

%description -n webkit3-gtklauncher
GtkLauncher is an example application for WebKit GTK+3.

%package -n webkit3-jsc
Summary:        JavaScriptCore shell for WebKit GTK+3
Group:          Development/GNOME and GTK+

%description -n webkit3-jsc
jsc is a shell for JavaScriptCore, WebKit's JavaScript engine. It
allows you to interact with the JavaScript engine directly.

%package -n %{inspector3name}
Summary:        Data files for WebKit GTK+'s Web Inspector
Group:          System/Libraries
Provides:       webkit3-webinspector = %{version}-%{release}

%description -n %{inspector3name}
WebKit GTK+3 has a feature called the Web Inspector, which allows
detailed analysis of any given page's page source, live DOM hierarchy
and resources. This package contains the data files necessary for Web
Inspector to work.

%package -n %{libgirjscore}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk} = %epoch:%{version}-%{release}
Conflicts:	%{_lib}webkitgtk1.0_2 < %epoch:%{version}-%{release}
Obsoletes:	%{_lib}jscore-gir1.0 < 1:2.1.3

%description -n %{libgirjscore}
GObject Introspection interface description for JSCore.

%package -n %{libgirname}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libname} = %epoch:%{version}-%{release}
Conflicts:	%{_lib}webkitgtk1.0_2 < %epoch:%{version}-%{release}

%description -n %{libgirname}
GObject Introspection interface description for WebKit.

%package -n %{libgirjscore3}
Summary:        GObject Introspection interface description for JSCore
Group:          System/Libraries
Requires:       %{libjavascriptcoregtk3} = %epoch:%{version}-%{release}
Conflicts:	%{libjavascriptcoregtk3} < %epoch:1.5.2-2
Obsoletes:	%{_lib}jscore-gir3.0 < 1:2.1.3

%description -n %{libgirjscore3}
GObject Introspection interface description for JSCore.

%package -n %{libgirname3}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{lib3name} = %epoch:%{version}-%{release}
Conflicts:	%{lib3name} < %epoch:1.5.2-2

%description -n %{libgirname3}
GObject Introspection interface description for WebKit.

%package -n %{libgirname2}
Summary:        GObject Introspection interface description for %name
Group:          System/Libraries
Requires:       %{libwebkit2} = %epoch:%{version}-%{release}

%description -n %{libgirname2}
GObject Introspection interface description for WebKit2.

%package -n %{libgirname2extension}
Summary:	GObject Introspection interface description for %name
Group:		System/Libraries
Obsoletes:	%{_lib}webkit2webextension3.0 < 1:2.4.1-2

%description -n %{libgirname2extension}
GObject Introspection interface description for WebKit2.

%prep
%setup -qn %{oname}-%{version}
%apply_patches

%build
autoreconf -fi
%define myflags %(echo %{optflags} | sed 's/-g /-g1 /')
export CFLAGS="%myflags"
export CXXFLAGS="%myflags"

mkdir -p gtk2
pushd gtk2
CONFIGURE_TOP=.. %configure2_5x	--with-gtk=2.0 --disable-webkit2 --enable-introspection
%make
popd

mkdir -p gtk3
pushd gtk3
CONFIGURE_TOP=.. %configure2_5x  --with-gtk=3.0 --enable-introspection \
%if %{build_webkit2}
	--enable-webkit2
%else
	--disable-webkit2
%endif
%make
popd

%install
%makeinstall_std -C gtk2
%makeinstall_std -C gtk3
mkdir -p %{buildroot}%{_libexecdir}/%{name}
install -m 755 gtk2/Programs/GtkLauncher %{buildroot}%{_libexecdir}/%{name}

mkdir -p %{buildroot}%{_libexecdir}/%{name}3
install -m 755 gtk3/Programs/GtkLauncher %{buildroot}%{_libexecdir}/%{name}3

# only useful for testing, should not be installed system-wide.
# reported upstream as 22812 - AdamW 2008/12
rm -rf %{buildroot}%{_libdir}/libtestnetscapeplugin.*

#we don't want these
find %{buildroot} -name '*.la' -delete

%find_lang WebKitGTK-2.0

%find_lang WebKitGTK-3.0

%files -f WebKitGTK-2.0.lang

%files -n %{name}%{libver}
%dir %{_datadir}/webkitgtk-1.0
%{_datadir}/webkitgtk-1.0/images
%{_datadir}/webkitgtk-1.0/resources

%files -n %{develname}
%{_libdir}/lib%{name}gtk-%{libver}.so
%{_libdir}/libjavascriptcoregtk-%{libver}.so
%{_includedir}/%{name}gtk-%{libver}
%{_libdir}/pkgconfig/%{name}-%{libver}.pc
%{_libdir}/pkgconfig/javascriptcoregtk-%{libver}.pc
%_datadir/gir-1.0/JavaScriptCore-%{libver}.gir
%_datadir/gir-1.0/WebKit-%{libver}.gir

%files -n %{libname}
%{_libdir}/lib%{name}gtk-%{libver}.so.%{major}*

%files -n %{libjavascriptcoregtk}
%{_libdir}/libjavascriptcoregtk-%{libver}.so.%{major}*

%files -n %{libgirjscore}
%_libdir/girepository-1.0/JavaScriptCore-%{libver}.typelib

%files -n %{libgirname}
%_libdir/girepository-1.0/WebKit-%{libver}.typelib

%files gtklauncher
%{_libexecdir}/%{name}/GtkLauncher

%files jsc
%{_bindir}/jsc-1

%files -n %{name}3 -f WebKitGTK-3.0.lang

%files -n %{name}%{lib3ver}
%dir %{_datadir}/webkitgtk-3.0
%{_datadir}/webkitgtk-3.0/images
%{_datadir}/webkitgtk-3.0/resources

%if %{build_webkit2}
%files -n %{name}2gtk
%dir %{_libdir}/webkit2gtk-%{lib3ver}
%{_libdir}/webkit2gtk-%{lib3ver}/injected-bundle/libwebkit2gtkinjectedbundle.so
%{_libexecdir}/WebKitNetworkProcess
%{_libexecdir}/WebKitPluginProcess
%{_libexecdir}/WebKitWebProcess
%endif

%files -n %{develname3}
%{_libdir}/lib%{name}gtk-%{lib3ver}.so
%{_libdir}/libjavascriptcoregtk-%{lib3ver}.so
%if %{build_webkit2}
%{_libdir}/libwebkit2gtk-%{lib3ver}.so
%endif
%{_includedir}/%{name}gtk-%{lib3ver}
%{_libdir}/pkgconfig/%{name}gtk-%{lib3ver}.pc
%{_libdir}/pkgconfig/javascriptcoregtk-%{lib3ver}.pc
%if %{build_webkit2}
%{_libdir}/pkgconfig/%{name}2gtk-%{lib3ver}.pc
%{_libdir}/pkgconfig/%{name}2gtk-web-extension-%{lib3ver}.pc
%endif
%_datadir/gir-1.0/JavaScriptCore-%{lib3ver}.gir
%_datadir/gir-1.0/WebKit-%{lib3ver}.gir
%if %{build_webkit2}
%_datadir/gir-1.0/WebKit2-%{lib3ver}.gir
%_datadir/gir-1.0/WebKit2WebExtension-%{lib3ver}.gir
%endif

%files -n %{lib3name}
%{_libdir}/lib%{name}gtk-%{lib3ver}.so.%{major3}*

%if %{build_webkit2}
%files -n %{libwebkit2}
%{_libdir}/lib%{name}2gtk-%{lib3ver}.so.%{major2}
%{_libdir}/lib%{name}2gtk-%{lib3ver}.so.%{major2}.*
%endif

%files -n %{libjavascriptcoregtk3}
%{_libdir}/libjavascriptcoregtk-%{lib3ver}.so.%{major}*

%files -n %{name}3-gtklauncher
%{_libexecdir}/%{name}3/GtkLauncher

%files -n %{name}3-jsc
%{_bindir}/jsc-3

%files -n %{libgirjscore3}
%_libdir/girepository-1.0/JavaScriptCore-%{lib3ver}.typelib

%files -n %{libgirname3}
%_libdir/girepository-1.0/WebKit-%{lib3ver}.typelib

%if %{build_webkit2}
%files -n %{libgirname2}
%_libdir/girepository-1.0/WebKit2-%{lib3ver}.typelib

%files -n %{libgirname2extension}
%_libdir/girepository-1.0/WebKit2WebExtension-%{lib3ver}.typelib
%endif


%changelog
* Tue Oct 06 2015 luigiwalser <luigiwalser> 1:2.4.9-1.mga5
+ Revision: 886604
- 2.4.9
- remove upstreamed patches
- add patch from fedora to fix crash in midori (rhbz#1189303)

* Wed Mar 18 2015 luigiwalser <luigiwalser> 1:2.4.8-2.mga5
+ Revision: 818872
- add upstream patch to fix CVE-2015-2330

* Sun Jan 11 2015 luigiwalser <luigiwalser> 1:2.4.8-1.mga5
+ Revision: 809918
- add upstream patch to fix build without webkit2 (bwo#140241)
- 2.4.8

* Thu Oct 23 2014 fwang <fwang> 1:2.4.7-1.mga5
+ Revision: 792588
- 2.4.7

* Wed Oct 15 2014 fwang <fwang> 1:2.4.6-2.mga5
+ Revision: 751277
- disable webkit2 build

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 1:2.4.6-1.mga5
+ Revision: 731735
- new version 2.4.6

* Sat Sep 27 2014 tv <tv> 1:2.4.5-6.mga5
+ Revision: 725835
- add patch from suse: fixup the .gir file to contain the full library name for libjavascriptcore

* Fri Sep 26 2014 wally <wally> 1:2.4.5-5.mga5
+ Revision: 724974
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 1:2.4.5-4.mga5
+ Revision: 690284
- Mageia 5 Mass Rebuild

* Thu Aug 28 2014 fwang <fwang> 1:2.4.5-3.mga5
+ Revision: 669061
- conditioned build webkit2

* Thu Aug 28 2014 fwang <fwang> 1:2.4.5-2.mga5
+ Revision: 668966
- drop requires on webkit2

* Thu Aug 28 2014 fwang <fwang> 1:2.4.5-1.mga5
+ Revision: 668957
- new version 2.4.5
- do not build webkit2 flavour, it will be splitted into separated webkit2 package

* Wed Jul 09 2014 luigiwalser <luigiwalser> 1:2.4.4-1.mga5
+ Revision: 650918
- 2.4.4

* Wed May 28 2014 luigiwalser <luigiwalser> 1:2.4.3-1.mga5
+ Revision: 627294
- 2.4.3

* Wed May 14 2014 luigiwalser <luigiwalser> 1:2.4.2-1.mga5
+ Revision: 622658
- 2.4.2

* Sat Apr 19 2014 wally <wally> 1:2.4.1-2.mga5
+ Revision: 617017
- fix webkit2webextension gir typelib pkg name

* Sat Apr 19 2014 fwang <fwang> 1:2.4.1-1.mga5
+ Revision: 616983
- 2.4.1

* Sat Apr 05 2014 wally <wally> 1:2.4.0-2.mga5
+ Revision: 611812
- rebuild for new icu

* Tue Mar 25 2014 fwang <fwang> 1:2.4.0-1.mga5
+ Revision: 608496
- 2.4.0

* Wed Mar 19 2014 luigiwalser <luigiwalser> 1:2.3.92-1.mga5
+ Revision: 605638
- 2.3.92

* Mon Mar 10 2014 fwang <fwang> 1:2.3.91-1.mga5
+ Revision: 601676
- update file list
- 2.3.91

* Wed Feb 19 2014 fwang <fwang> 1:2.3.90-1.mga5
+ Revision: 594689
- update file list
- 2.3.90

* Sat Feb 15 2014 luigiwalser <luigiwalser> 1:2.2.4-2.mga5
+ Revision: 592111
- rebuild for libwebp

* Thu Feb 06 2014 fwang <fwang> 1:2.2.4-1.mga5
+ Revision: 584425
- more linkage fix
- linkage fix
- 2.2.4

* Fri Nov 15 2013 ovitters <ovitters> 1:2.2.2-1.mga4
+ Revision: 551420
- new version 2.2.2

* Mon Oct 21 2013 umeabot <umeabot> 1:2.2.0-2.mga4
+ Revision: 538003
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1:2.2.0-1.mga4
+ Revision: 488234
- new version 2.2.0

* Thu Sep 26 2013 fwang <fwang> 1:2.1.92-2.mga4
+ Revision: 486766
- rebuild for icu 52

* Fri Sep 20 2013 fwang <fwang> 1:2.1.92-1.mga4
+ Revision: 482474
- update file list
- fix gtk2 build
- new version 2.1.92

* Sun Sep 15 2013 fwang <fwang> 1:2.1.91-1.mga4
+ Revision: 479953
- new version 2.1.91

* Fri Aug 30 2013 tmb <tmb> 1:2.1.90.1-1.mga4
+ Revision: 473324
- 2.1.90.1 (fixes broken ABI)

* Wed Aug 28 2013 fwang <fwang> 1:2.1.90-1.mga4
+ Revision: 472509
- new version 2.1.90
- add missing :

* Wed Aug 14 2013 fwang <fwang> 1:2.1.4-1.mga4
+ Revision: 466336
- new version 2.1.4

* Fri Aug 09 2013 wally <wally> 1:2.1.3-1.mga4
+ Revision: 464944
- rename jscore-gir pkgs to javascriptcore-gir
- add patch from upstream to fix gtk2 build

  + fwang <fwang>
    - new version 2.1.3
    - rename patch

* Wed Jul 24 2013 fwang <fwang> 1:2.0.4-1.mga4
+ Revision: 457608
- add more linkage fix
- simplify patch
- drop merged patch
- new version 2.0.4

* Tue Jun 25 2013 fwang <fwang> 1:2.0.3-1.mga4
+ Revision: 446373
- new version 2.0.3

* Sun Jun 02 2013 fwang <fwang> 1:2.0.2-3.mga4
+ Revision: 434710
- rebuild for new libpng

* Sun May 26 2013 fwang <fwang> 1:2.0.2-2.mga4
+ Revision: 427913
- rebuild for new icu

* Sat May 25 2013 fwang <fwang> 1:2.0.2-1.mga4
+ Revision: 427198
- add webkit2gtk
- update file list
- add br
- enable gtk2 now
- fix lib usage
- more patch
- there is no libplatform
- try building static lib
- rework patch
- merge with upstream changeset 149169
- add more br
- build verbose
- drop force undefined
- remake link order
- use autoreconf
- fix libname
- more linkage fix
- more linkage fix
- quicker build
- disable webkit2 for gtk2 flavour
- br libsecret
- bump req
- br webp
- gst 0.10 is not supported now
- new version 2.0.2

* Thu Jan 31 2013 fwang <fwang> 1:1.10.2-5.mga3
+ Revision: 393815
- rebuild for new icu

* Mon Jan 14 2013 umeabot <umeabot> 1:1.10.2-4.mga3
+ Revision: 385661
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 1:1.10.2-3.mga3
+ Revision: 341814
- fix libexecdir usage

* Thu Dec 20 2012 fwang <fwang> 1:1.10.2-2.mga3
+ Revision: 333349
- build webkit3 with gst 1.0

* Tue Dec 18 2012 fwang <fwang> 1:1.10.2-1.mga3
+ Revision: 332468
- rediff link patch
- new version 1.10.2

* Thu Nov 08 2012 fwang <fwang> 1:1.10.1-3.mga3
+ Revision: 316393
- rebuild for updated icu

* Tue Nov 06 2012 fwang <fwang> 1:1.10.1-2.mga3
+ Revision: 314717
- rebuild for new icu

* Sat Oct 20 2012 fwang <fwang> 1:1.10.1-1.mga3
+ Revision: 308413
- new version 1.10.1

* Tue Oct 09 2012 fwang <fwang> 1:1.10.0-2.mga3
+ Revision: 303941
- build webkit3.0 with gst 0.10, until empathy and rhythmbox migrated to gst 1.0

* Sun Sep 30 2012 fwang <fwang> 1:1.10.0-1.mga3
+ Revision: 300659
- update file list
- disable webkit2 build as it is too broken with undefined references
- more linkage fix
- more patches
- use libexec for executable
- build parallel
- link with libwtf
- link with webcore
- more linkage fix
- more linkage fix
- more linkage fix
- more linkage fix
- more linkage fix
- build verbose
- correctly use -g1
- force use -g1
- use g1
- new version 1.10.0
- try building with -O1
- do not build verbose
- fix linkage
- new version 1.9.92
- force gtk3 flavour with gstreamer 1.0
- make verbose
- add upstream patch to fix LLint build fails with -g -02 (upstream bug#90098)
- force build jit
- new version.1.9.90
- new version 1.8.2

  + ovitters <ovitters>
    - new version 1.9.91
    - disable webkit2 for gtk 2.0
    - br ruby

* Tue May 29 2012 ovitters <ovitters> 1:1.8.1-2.mga3
+ Revision: 249422
- rebuild due to new libicu

* Wed Apr 25 2012 ovitters <ovitters> 1:1.8.1-1.mga2
+ Revision: 233176
- new version 1.8.1

* Sat Apr 07 2012 fwang <fwang> 1:1.8.0-2.mga2
+ Revision: 229532
- fix mklibname usage

* Sat Apr 07 2012 fwang <fwang> 1:1.8.0-1.mga2
+ Revision: 229490
- new version 1.8.0

* Thu Mar 22 2012 ovitters <ovitters> 1:1.7.92-1.mga2
+ Revision: 225610
- update file list
- new version 1.7.92
- drop merged patch

  + luigiwalser <luigiwalser>
    - add patch 1 from debian to fix build issue

  + fwang <fwang>
    - more linkage fix
    - try to fix build
    - fix build dir
    - br gecolue
    - new version 1.7.90

* Mon Feb 20 2012 luigiwalser <luigiwalser> 1:1.7.5-1.mga2
+ Revision: 211106
- add patches from Debian to fix build issues
- 1.7.5

* Tue Feb 07 2012 tv <tv> 1:1.7.4-2.mga2
+ Revision: 205854
- fix obsoltes (#3262

* Tue Jan 17 2012 fwang <fwang> 1:1.7.4-1.mga2
+ Revision: 197476
- update file list
- rediff link patch
- br gl
- new version 1.7.4

* Sat Oct 01 2011 blino <blino> 1:1.6.1-2.mga2
+ Revision: 150603
- rediff and simplify allowScriptsToCloseWindows patch

* Tue Sep 27 2011 fwang <fwang> 1:1.6.1-1.mga2
+ Revision: 149464
- new version 1.6.1

* Sat Sep 17 2011 wally <wally> 1:1.5.2-4.mga2
+ Revision: 144414
- get rid of .la files

* Sun Sep 11 2011 fwang <fwang> 1:1.5.2-3.mga2
+ Revision: 142265
- rebuild for new libpng
- really split typelib
- New version 1.5.2
- temporary disable closewindow patch, huge rediff required
- update requirement
- rename jscore libpackage

* Thu Jul 07 2011 fwang <fwang> 1:1.5.1-2.mga2
+ Revision: 119566
- rebuild for typelib rpm provides

* Sun Jul 03 2011 dmorgan <dmorgan> 1:1.5.1-1.mga2
+ Revision: 117803
- Fix typo in file lists
- Fix file lists
- Remove %%clean section
- Remove .la files
- Fix list
- Fix list

  + fwang <fwang>
    - new version 1.5.1

* Fri Jul 01 2011 dmorgan <dmorgan> 1:1.4.2-2.mga2
+ Revision: 117156
- Add obsoletes to ease update

* Fri Jul 01 2011 fwang <fwang> 1:1.4.2-1.mga2
+ Revision: 117155
- rediff linkage patch
- new version 1.4.2

* Fri Jun 24 2011 dmorgan <dmorgan> 1:1.4.1-5.mga2
+ Revision: 113170
- Fix requires by adding %%epoch

* Mon Jun 20 2011 dmorgan <dmorgan> 1:1.4.1-4.mga2
+ Revision: 110421
- Fix typo
- Add back %%defattr
- Remove buildroot
  Add perl-Switch as buildrequire
- Commit patches
- New version 1.4.1
  Merge with webkit3 package
  Create subpackages for gir files

* Sun Apr 10 2011 dmorgan <dmorgan> 1:1.2.7-4.mga1
+ Revision: 82697
- New version 1.2.7

  + ennael <ennael>
    - bump release for rebuild

* Sun Jan 16 2011 pterjan <pterjan> 1:1.2.5-3.mga1
+ Revision: 20442
- Drop a lot of tests on old versions

  + kharec <kharec>
    - imported package webkit

